Ask Your Question

Theodor3's profile - activity

2016-01-19 22:59:41 -0500 received badge  Notable Question (source)
2014-11-17 05:28:31 -0500 received badge  Student (source)
2014-10-29 22:15:12 -0500 received badge  Popular Question (source)
2012-11-09 05:48:26 -0500 commented answer Building OpenCV 2.4.3 as 32 bit lib

Yes, i know that this is the problem. But how to get the 32 bit version of this libs? I tried to use getlibs, but its not helping.

2012-11-09 05:41:49 -0500 commented answer Building OpenCV 2.4.3 as 32 bit lib

ffmpeg is installed from ubuntu repositories, also libavcodec-dev, libavformat-dev, libswscale-dev

2012-11-08 09:23:41 -0500 commented answer Building OpenCV 2.4.3 as 32 bit lib

I could build it as 64 bit version without any problem.

2012-11-08 08:19:42 -0500 asked a question Building OpenCV 2.4.3 as 32 bit lib

Hi,

i try to build OpenCV on my Ubuntu 12.4 (64 bit) as 32 bit library. I was setting the compiler flags like this:

cmake -G "Unix Makefiles" -D CMAKE_C_FLAGS=-m32 -D CMAKE_CXX_FLAGS=-m32 ..

Then i started to build the project. After some time i got this:

Linking CXX shared library ../../lib/libopencv_highgui.so
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libImath.so when searching for -lImath
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libImath.a when searching for -lImath
/usr/bin/ld: skipping incompatible /usr/lib/libImath.so when searching for -lImath
/usr/bin/ld: skipping incompatible /usr/lib/libImath.a when searching for -lImath
/usr/bin/ld: cannot find -lImath
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libIlmImf.so when searching for -lIlmImf
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libIlmImf.a when searching for -lIlmImf
/usr/bin/ld: skipping incompatible /usr/lib/libIlmImf.so when searching for -lIlmImf
/usr/bin/ld: skipping incompatible /usr/lib/libIlmImf.a when searching for -lIlmImf
/usr/bin/ld: cannot find -lIlmImf
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libIex.so when searching for -lIex
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libIex.a when searching for -lIex
/usr/bin/ld: skipping incompatible /usr/lib/libIex.so when searching for -lIex
/usr/bin/ld: skipping incompatible /usr/lib/libIex.a when searching for -lIex
/usr/bin/ld: cannot find -lIex
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libHalf.so when searching for -lHalf
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libHalf.a when searching for -lHalf
/usr/bin/ld: skipping incompatible /usr/lib/libHalf.so when searching for -lHalf
/usr/bin/ld: skipping incompatible /usr/lib/libHalf.a when searching for -lHalf
/usr/bin/ld: cannot find -lHalf
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libIlmThread.so when searching for -lIlmThread
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libIlmThread.a when searching for -lIlmThread
/usr/bin/ld: skipping incompatible /usr/lib/libIlmThread.so when searching for -lIlmThread
/usr/bin/ld: skipping incompatible /usr/lib/libIlmThread.a when searching for -lIlmThread
/usr/bin/ld: cannot find -lIlmThread
/usr/bin/ld: cannot find -lgtk-x11-2.0
/usr/bin/ld: cannot find -lgdk-x11-2.0
/usr/bin/ld: cannot find -latk-1.0
/usr/bin/ld: cannot find -lgio-2.0
/usr/bin/ld: cannot find -lpangoft2-1.0
/usr/bin/ld: cannot find -lpangocairo-1.0
/usr/bin/ld: cannot find -lgdk_pixbuf-2.0
/usr/bin/ld: cannot find -lcairo
/usr/bin/ld: cannot find -lpango-1.0
/usr/bin/ld: cannot find -lfreetype
/usr/bin/ld: cannot find -lfontconfig
/usr/bin/ld: cannot find -lgobject-2.0
/usr/bin/ld: cannot find -lglib-2.0
/usr/bin/ld: cannot find -lgthread-2.0
/usr/bin/ld: cannot find -lglib-2.0
/usr/bin/ld: cannot find -ldc1394
/usr/bin/ld: cannot find -lavcodec
/usr ...
(more)